Highlighted
Posted by pmanavi
Henagon

Your License Number is Not Valid With This Version Of The Program

Hi. We just upgraded one of our computers with teamviewer on it and when we come to activate the license that we have we get a License Not Valid error for the current version. How can we make our license work? We don't have to purchase a new one do we???

1 Accepted Solution

Accepted Solutions
Posted by pmanavi
Henagon
Solution

Re: RE: Your License Number is Not Valid With This Version Of The Program

Thank you. That worked! Had to pay an upgrade fee but its good to go.

3 Replies
Posted by Senior Moderator Senior Moderator
Senior Moderator

RE: Your License Number is Not Valid With This Version Of The Program

Hi @pmanavi

Thank you for your message.

It could be, that your license is for an other TeamViewer version.

Could you please check first which license you have purchased?! You will find this information on your last invoice.

For example, if you have purchased a license for TeamViewer 11 please install TeamViewer 11 on your device.

If you have a current version TeamViewer 12, it is not possible to activate your license for TeamViewer 11.

In such a case, please exit your local TeamViewer service and uninstall this version.

Now you could download the previous version 10 and 11 here

If you have a license for version 9 and older, please click here

I hope this information is helpful :smileywink:

Did my reply answer your question? Please accept it as a solution to help others, Thanks.
Reyhan
Posted by pmanavi
Henagon
Solution

Re: RE: Your License Number is Not Valid With This Version Of The Program

Thank you. That worked! Had to pay an upgrade fee but its good to go.

Posted by greystonetech
Electron

Re: RE: Your License Number is Not Valid With This Version Of The Program

Really?  some answer.  We have a license for TV 12 and the new PC's have 13 on them.  

Not even the web version connects.  Are you seriously suggesting we DOWNGRADE all of our new machines to match?  Considering we have machines running verison 8 without an issue, why the sudden forced change?

Time for a new product?  If we need to start traveling to 19 sites to downgrade, might as well.